<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFName (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFName (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFName.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFMap.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFName.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFName.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFName" class="title">Class XSSFName</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFName</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                           title="interface in org.apache.poi.ss.usermodel">Name</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XSSFName</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
              title="interface in org.apache.poi.ss.usermodel">Name</a></pre>
                <div class="block">Represents a defined named range in a SpreadsheetML workbook.
                    <p>
                        Defined names are descriptive text that is used to represents a cell, range of cells, formula,
                        or constant value.
                        Use easy-to-understand names, such as Products, to refer to hard to understand ranges, such as
                        <code>Sales!C20:C30</code>.
                    </p>
                    Example:
                    <pre><blockquote>
   XSSFWorkbook wb = new XSSFWorkbook();
   XSSFSheet sh = wb.createSheet("Sheet1");

   //applies to the entire workbook
   XSSFName name1 = wb.createName();
   name1.setNameName("FMLA");
   name1.setRefersToFormula("Sheet1!$B$3");

   //applies to Sheet1
   XSSFName name2 = wb.createName();
   name2.setNameName("SheetLevelName");
   name2.setComment("This name is scoped to Sheet1");
   name2.setLocalSheetId(0);
   name2.setRefersToFormula("Sheet1!$B$3");

 </blockquote></pre>
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Nick Burch, Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_CONSOLIDATE_AREA">BUILTIN_CONSOLIDATE_AREA</a></span></code>
                                    <div class="block">A built-in defined name that refers to a consolidation area</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_CRITERIA">BUILTIN_CRITERIA</a></span></code>
                                    <div class="block">A built-in defined name that refers to a range containing the
                                        criteria values
                                        to be used in applying an advanced filter to a range of data
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_DATABASE">BUILTIN_DATABASE</a></span></code>
                                    <div class="block">A built-in defined name that specified that the range specified
                                        is from a database data source
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_EXTRACT">BUILTIN_EXTRACT</a></span></code>
                                    <div class="block">this defined name refers to the range containing the filtered
                                        output values resulting from applying an advanced filter criteria to a source
                                        range
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_FILTER_DB">BUILTIN_FILTER_DB</a></span></code>
                                    <div class="block">?an be one of the following
                                        this defined name refers to a range to which an advanced filter has been
                                        applied.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_PRINT_AREA">BUILTIN_PRINT_AREA</a></span></code>
                                    <div class="block">A built-in defined name that specifies the workbook's print
                                        area
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_PRINT_TITLE">BUILTIN_PRINT_TITLE</a></span></code>
                                    <div class="block">A built-in defined name that specifies the row(s) or column(s) to
                                        repeat
                                        at the top of each printed page.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#BUILTIN_SHEET_TITLE">BUILTIN_SHEET_TITLE</a></span></code>
                                    <div class="block">A built-in defined name that refers to a sheet title.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#XSSFName-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedName-org.apache.poi.xssf.usermodel.XSSFWorkbook-">XSSFName</a></span>(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedName&nbsp;name,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                       title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block">Creates an XSSFName object - called internally by XSSFWorkbook.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Compares this name to the specified object.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getComment--">getComment</a></span>()</code>
                                    <div class="block">Returns the comment the user provided when the name was
                                        created.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedName</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getCTName--">getCTName</a></span>()</code>
                                    <div class="block">Returns the underlying named range object</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getFunction--">getFunction</a></span>()</code>
                                    <div class="block">Indicates that the defined name refers to a user-defined
                                        function.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getFunctionGroupId--">getFunctionGroupId</a></span>()</code>
                                    <div class="block">Returns the function group index if the defined name refers to a
                                        function.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getNameName--">getNameName</a></span>()</code>
                                    <div class="block">Returns the name that will appear in the user interface for the
                                        defined name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getRefersToFormula--">getRefersToFormula</a></span>()</code>
                                    <div class="block">Returns the formula that the name is defined to refer to.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getSheetIndex--">getSheetIndex</a></span>()</code>
                                    <div class="block">Returns the sheet index this name applies to.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#getSheetName--">getSheetName</a></span>()</code>
                                    <div class="block">Get the sheets name which this named range is referenced to</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#isDeleted--">isDeleted</a></span>()</code>
                                    <div class="block">Checks if this name points to a cell that no longer exists</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#isFunctionName--">isFunctionName</a></span>()</code>
                                    <div class="block">Is the name refers to a user-defined function ?</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#setComment-java.lang.String-">setComment</a></span>(java.lang.String&nbsp;comment)</code>
                                    <div class="block">Specifies the comment the user provided when the name was
                                        created.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#setFunction-boolean-">setFunction</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Indicates that the defined name refers to a user-defined
                                        function.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#setFunctionGroupId-int-">setFunctionGroupId</a></span>(int&nbsp;functionGroupId)</code>
                                    <div class="block">Specifies the function group index if the defined name refers to
                                        a function.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#setNameName-java.lang.String-">setNameName</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Sets the name that will appear in the user interface for the
                                        defined name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#setRefersToFormula-java.lang.String-">setRefersToFormula</a></span>(java.lang.String&nbsp;formulaText)</code>
                                    <div class="block">Sets the formula that the name is defined to refer to.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html#setSheetIndex-int-">setSheetIndex</a></span>(int&nbsp;index)</code>
                                    <div class="block">Tell Excel that this name applies to the worksheet with the
                                        specified index instead of the entire workbook.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="BUILTIN_PRINT_AREA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_PRINT_AREA</h4>
                                <pre>public static final&nbsp;java.lang.String BUILTIN_PRINT_AREA</pre>
                                <div class="block">A built-in defined name that specifies the workbook's print area
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_PRINT_AREA">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_PRINT_TITLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_PRINT_TITLE</h4>
                                <pre>public static final&nbsp;java.lang.String BUILTIN_PRINT_TITLE</pre>
                                <div class="block">A built-in defined name that specifies the row(s) or column(s) to
                                    repeat
                                    at the top of each printed page.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_PRINT_TITLE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_CRITERIA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_CRITERIA</h4>
                                <pre>public static final&nbsp;java.lang.String BUILTIN_CRITERIA</pre>
                                <div class="block">A built-in defined name that refers to a range containing the
                                    criteria values
                                    to be used in applying an advanced filter to a range of data
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_CRITERIA">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_EXTRACT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_EXTRACT</h4>
                                <pre>public static final&nbsp;java.lang.String BUILTIN_EXTRACT</pre>
                                <div class="block">this defined name refers to the range containing the filtered
                                    output values resulting from applying an advanced filter criteria to a source
                                    range
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_EXTRACT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BUILTIN_FILTER_DB">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BUILTIN_FILTER_DB</h4>
                                <pre>public static final&nbsp;java.lang.String BUILTIN_FILTER_DB</pre>
                                <div class="block">?an be one of the following
                            <li> this defined name refers to a range to which an advanced filter has been
                                applied. This represents the source data range, unfiltered.
                            <li> This defined name refers to a range to which an AutoFilter has been
                                applied
    </div>
    <dl>
        <dt><span class="seeLabel">See Also:</span></dt>
        <dd><a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_FILTER_DB">Constant
            Field Values</a></dd>
    </dl>
    </li>
    </ul>
    <a name="BUILTIN_CONSOLIDATE_AREA">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>BUILTIN_CONSOLIDATE_AREA</h4>
            <pre>public static final&nbsp;java.lang.String BUILTIN_CONSOLIDATE_AREA</pre>
            <div class="block">A built-in defined name that refers to a consolidation area</div>
            <dl>
                <dt><span class="seeLabel">See Also:</span></dt>
                <dd>
                    <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_CONSOLIDATE_AREA">Constant
                        Field Values</a></dd>
            </dl>
        </li>
    </ul>
    <a name="BUILTIN_DATABASE">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>BUILTIN_DATABASE</h4>
            <pre>public static final&nbsp;java.lang.String BUILTIN_DATABASE</pre>
            <div class="block">A built-in defined name that specified that the range specified is from a database data
                source
            </div>
            <dl>
                <dt><span class="seeLabel">See Also:</span></dt>
                <dd>
                    <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_DATABASE">Constant
                        Field Values</a></dd>
            </dl>
        </li>
    </ul>
    <a name="BUILTIN_SHEET_TITLE">
        <!--   -->
    </a>
    <ul class="blockListLast">
        <li class="blockList">
            <h4>BUILTIN_SHEET_TITLE</h4>
            <pre>public static final&nbsp;java.lang.String BUILTIN_SHEET_TITLE</pre>
            <div class="block">A built-in defined name that refers to a sheet title.</div>
            <dl>
                <dt><span class="seeLabel">See Also:</span></dt>
                <dd>
                    <a href="../../../../../constant-values.html#org.apache.poi.xssf.usermodel.XSSFName.BUILTIN_SHEET_TITLE">Constant
                        Field Values</a></dd>
            </dl>
        </li>
    </ul>
    </li>
    </ul>
    <!-- ========= CONSTRUCTOR DETAIL ======== -->
    <ul class="blockList">
        <li class="blockList"><a name="constructor.detail">
            <!--   -->
        </a>
            <h3>Constructor Detail</h3>
            <a name="XSSFName-org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedName-org.apache.poi.xssf.usermodel.XSSFWorkbook-">
                <!--   -->
            </a>
            <ul class="blockListLast">
                <li class="blockList">
                    <h4>XSSFName</h4>
                    <pre>protected&nbsp;XSSFName(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedName&nbsp;name,
                   <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                      title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;workbook)</pre>
                    <div class="block">Creates an XSSFName object - called internally by XSSFWorkbook.</div>
                    <dl>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>name</code> - - the xml bean that holds data represenring this defined name.</dd>
                        <dd><code>workbook</code> - - the workbook object associated with the name</dd>
                        <dt><span class="seeLabel">See Also:</span></dt>
                        <dd><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html#createName--"><code>XSSFWorkbook.createName()</code></a>
                        </dd>
                    </dl>
                </li>
            </ul>
        </li>
    </ul>
    <!-- ============ METHOD DETAIL ========== -->
    <ul class="blockList">
        <li class="blockList"><a name="method.detail">
            <!--   -->
        </a>
            <h3>Method Detail</h3>
            <a name="getCTName--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getCTName</h4>
                    <pre>protected&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedName&nbsp;getCTName()</pre>
                    <div class="block">Returns the underlying named range object</div>
                </li>
            </ul>
            <a name="getNameName--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getNameName</h4>
                    <pre>public&nbsp;java.lang.String&nbsp;getNameName()</pre>
                    <div class="block">Returns the name that will appear in the user interface for the defined name.
                    </div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html#getNameName--">getNameName</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd>text name of this defined name</dd>
                    </dl>
                </li>
            </ul>
            <a name="setNameName-java.lang.String-">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>setNameName</h4>
                    <pre>public&nbsp;void&nbsp;setNameName(java.lang.String&nbsp;name)</pre>
                    <div class="block">Sets the name that will appear in the user interface for the defined name.
                        Names must begin with a letter or underscore, not contain spaces and be unique across the
                        workbook.

                        <p>
                            A name must always be unique within its scope. POI prevents you from defining a name that is
                            not unique
                            within its scope. However you can use the same name in different scopes. Example:
                        <pre><blockquote>
 //by default names are workbook-global
 XSSFName name;
 name = workbook.createName();
 name.setNameName("sales_08");

 name = workbook.createName();
 name.setNameName("sales_08"); //will throw an exception: "The workbook already contains this name (case-insensitive)"

 //create sheet-level name
 name = workbook.createName();
 name.setSheetIndex(0); //the scope of the name is the first sheet
 name.setNameName("sales_08");  //ok

 name = workbook.createName();
 name.setSheetIndex(0);
 name.setNameName("sales_08");  //will throw an exception: "The sheet already contains this name (case-insensitive)"

 </blockquote></pre>
                        </p></div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a
                                href="../../../../../org/apache/poi/ss/usermodel/Name.html#setNameName-java.lang.String-">setNameName</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>name</code> - name of this defined name</dd>
                        <dt><span class="throwsLabel">Throws:</span></dt>
                        <dd><code>java.lang.IllegalArgumentException</code> - if the name is invalid or the workbook
                            already contains this name (case-insensitive)
                        </dd>
                    </dl>
                </li>
            </ul>
            <a name="getRefersToFormula--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getRefersToFormula</h4>
                    <pre>public&nbsp;java.lang.String&nbsp;getRefersToFormula()</pre>
                    <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                            href="../../../../../org/apache/poi/ss/usermodel/Name.html#getRefersToFormula--">Name</a></code></span>
                    </div>
                    <div class="block">Returns the formula that the name is defined to refer to.</div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html#getRefersToFormula--">getRefersToFormula</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd>the reference for this name, <code>null</code> if it has not been set yet. Never empty
                            string
                        </dd>
                        <dt><span class="seeLabel">See Also:</span></dt>
                        <dd>
                            <a href="../../../../../org/apache/poi/ss/usermodel/Name.html#setRefersToFormula-java.lang.String-"><code>Name.setRefersToFormula(String)</code></a>
                        </dd>
                    </dl>
                </li>
            </ul>
            <a name="setRefersToFormula-java.lang.String-">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>setRefersToFormula</h4>
                    <pre>public&nbsp;void&nbsp;setRefersToFormula(java.lang.String&nbsp;formulaText)</pre>
                    <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                            href="../../../../../org/apache/poi/ss/usermodel/Name.html#setRefersToFormula-java.lang.String-">Name</a></code></span>
                    </div>
                    <div class="block">Sets the formula that the name is defined to refer to. The following are
                        representative examples:

                        <ul>
                            <li><code>'My Sheet'!$A$3</code></li>
                            <li><code>8.3</code></li>
                            <li><code>HR!$A$1:$Z$345</code></li>
                            <li><code>SUM(Sheet1!A1,Sheet2!B2)</li>
                            <li><code>-PMT(Interest_Rate/12,Number_of_Payments,Loan_Amount)</li>
                        </ul>

                        Note: Using relative values like 'A1:B1' can lead to unexpected moving of
                        the cell that the name points to when working with the workbook in Microsoft Excel,
                        usually using absolute references like '$A$1:$B$1' avoids this, see also
                        https://superuser.com/a/1031047/126954
                    </div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a
                                href="../../../../../org/apache/poi/ss/usermodel/Name.html#setRefersToFormula-java.lang.String-">setRefersToFormula</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>formulaText</code> - the reference for this name</dd>
                    </dl>
                </li>
            </ul>
            <a name="isDeleted--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>isDeleted</h4>
                    <pre>public&nbsp;boolean&nbsp;isDeleted()</pre>
                    <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                            href="../../../../../org/apache/poi/ss/usermodel/Name.html#isDeleted--">Name</a></code></span>
                    </div>
                    <div class="block">Checks if this name points to a cell that no longer exists</div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a
                                href="../../../../../org/apache/poi/ss/usermodel/Name.html#isDeleted--">isDeleted</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd><code>true</code> if the name refers to a deleted cell, <code>false</code> otherwise</dd>
                    </dl>
                </li>
            </ul>
            <a name="setSheetIndex-int-">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>setSheetIndex</h4>
                    <pre>public&nbsp;void&nbsp;setSheetIndex(int&nbsp;index)</pre>
                    <div class="block">Tell Excel that this name applies to the worksheet with the specified index
                        instead of the entire workbook.
                    </div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html#setSheetIndex-int-">setSheetIndex</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>index</code> - the sheet index this name applies to, -1 unsets this property making
                            the name workbook-global
                        </dd>
                    </dl>
                </li>
            </ul>
            <a name="getSheetIndex--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getSheetIndex</h4>
                    <pre>public&nbsp;int&nbsp;getSheetIndex()</pre>
                    <div class="block">Returns the sheet index this name applies to.</div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html#getSheetIndex--">getSheetIndex</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd>the sheet index this name applies to, -1 if this name applies to the entire workbook</dd>
                    </dl>
                </li>
            </ul>
            <a name="setFunction-boolean-">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>setFunction</h4>
                    <pre>public&nbsp;void&nbsp;setFunction(boolean&nbsp;value)</pre>
                    <div class="block">Indicates that the defined name refers to a user-defined function.
                        This attribute is used when there is an add-in or other code project associated with the file.
                    </div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html#setFunction-boolean-">setFunction</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>value</code> - <code>true</code> indicates the name refers to a function.</dd>
                    </dl>
                </li>
            </ul>
            <a name="getFunction--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getFunction</h4>
                    <pre>public&nbsp;boolean&nbsp;getFunction()</pre>
                    <div class="block">Indicates that the defined name refers to a user-defined function.
                        This attribute is used when there is an add-in or other code project associated with the file.
                    </div>
                    <dl>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd><code>true</code> indicates the name refers to a function.</dd>
                    </dl>
                </li>
            </ul>
            <a name="setFunctionGroupId-int-">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>setFunctionGroupId</h4>
                    <pre>public&nbsp;void&nbsp;setFunctionGroupId(int&nbsp;functionGroupId)</pre>
                    <div class="block">Specifies the function group index if the defined name refers to a function. The
                        function
                        group defines the general category for the function. This attribute is used when there is
                        an add-in or other code project associated with the file.
                    </div>
                    <dl>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>functionGroupId</code> - the function group index that defines the general category
                            for the function
                        </dd>
                    </dl>
                </li>
            </ul>
            <a name="getFunctionGroupId--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getFunctionGroupId</h4>
                    <pre>public&nbsp;int&nbsp;getFunctionGroupId()</pre>
                    <div class="block">Returns the function group index if the defined name refers to a function. The
                        function
                        group defines the general category for the function. This attribute is used when there is
                        an add-in or other code project associated with the file.
                    </div>
                    <dl>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd>the function group index that defines the general category for the function</dd>
                    </dl>
                </li>
            </ul>
            <a name="getSheetName--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getSheetName</h4>
                    <pre>public&nbsp;java.lang.String&nbsp;getSheetName()</pre>
                    <div class="block">Get the sheets name which this named range is referenced to</div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html#getSheetName--">getSheetName</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd>sheet name, which this named range referred to.
                            Empty string if the referenced sheet name was not found.
                        </dd>
                    </dl>
                </li>
            </ul>
            <a name="isFunctionName--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>isFunctionName</h4>
                    <pre>public&nbsp;boolean&nbsp;isFunctionName()</pre>
                    <div class="block">Is the name refers to a user-defined function ?</div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html#isFunctionName--">isFunctionName</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd><code>true</code> if this name refers to a user-defined function</dd>
                    </dl>
                </li>
            </ul>
            <a name="getComment--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>getComment</h4>
                    <pre>public&nbsp;java.lang.String&nbsp;getComment()</pre>
                    <div class="block">Returns the comment the user provided when the name was created.</div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a
                                href="../../../../../org/apache/poi/ss/usermodel/Name.html#getComment--">getComment</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd>the user comment for this named range</dd>
                    </dl>
                </li>
            </ul>
            <a name="setComment-java.lang.String-">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>setComment</h4>
                    <pre>public&nbsp;void&nbsp;setComment(java.lang.String&nbsp;comment)</pre>
                    <div class="block">Specifies the comment the user provided when the name was created.</div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                        <dd><code><a
                                href="../../../../../org/apache/poi/ss/usermodel/Name.html#setComment-java.lang.String-">setComment</a></code>&nbsp;in
                            interface&nbsp;<code><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Name</a></code>
                        </dd>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>comment</code> - the user comment for this named range</dd>
                    </dl>
                </li>
            </ul>
            <a name="hashCode--">
                <!--   -->
            </a>
            <ul class="blockList">
                <li class="blockList">
                    <h4>hashCode</h4>
                    <pre>public&nbsp;int&nbsp;hashCode()</pre>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                        <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                    </dl>
                </li>
            </ul>
            <a name="equals-java.lang.Object-">
                <!--   -->
            </a>
            <ul class="blockListLast">
                <li class="blockList">
                    <h4>equals</h4>
                    <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                    <div class="block">Compares this name to the specified object.
                        The result is <code>true</code> if the argument is XSSFName and the
                        underlying CTDefinedName bean equals to the CTDefinedName representing this name
                    </div>
                    <dl>
                        <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                        <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                        <dt><span class="paramLabel">Parameters:</span></dt>
                        <dd><code>o</code> - the object to compare this <code>XSSFName</code> against.</dd>
                        <dt><span class="returnLabel">Returns:</span></dt>
                        <dd><code>true</code> if the <code>XSSFName </code>are equal;
                            <code>false</code> otherwise.
                        </dd>
                    </dl>
                </li>
            </ul>
        </li>
    </ul>
    </li>
    </ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFName.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFMap.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFName.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFName.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
